Stop Monitoring
curl --request POST \
--url https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop"
headers = {"x-api-key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"webhook_id": "6789abcdef0123456789abcd",
"account_id": "69c127c37cae0494dd827286",
"monitoring": false
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
{
"success": false,
"error": {
"code": "INVALID_PARAMS",
"message": "Webhook not found"
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
Webhooks (Real-Time)
Stop Monitoring
Stop real-time monitoring for a webhook
POST
/
v2
/
webhooks
/
{webhook_id}
/
stop
Stop Monitoring
curl --request POST \
--url https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop"
headers = {"x-api-key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"webhook_id": "6789abcdef0123456789abcd",
"account_id": "69c127c37cae0494dd827286",
"monitoring": false
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
{
"success": false,
"error": {
"code": "INVALID_PARAMS",
"message": "Webhook not found"
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
Stop real-time monitoring for a webhook’s associated account. No more events will be sent to the webhook URL.
Header Parameters
Path Parameters
Response
{
"success": true,
"data": {
"webhook_id": "6789abcdef0123456789abcd",
"account_id": "69c127c37cae0494dd827286",
"monitoring": false
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
{
"success": false,
"error": {
"code": "INVALID_PARAMS",
"message": "Webhook not found"
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
Notes
- Credit consumption stops when monitoring is stopped
- You can restart monitoring at any time by calling
/v2/webhooks/{webhook_id}/start - The webhook configuration is preserved — only monitoring is stopped
Was this page helpful?